Update mapping by name

Prev Next
Patch
/v1/E2eMapping/byName/{mappingName}

Updates an existing entity mapping referenced by its unique name.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
mappingName
stringRequired

Unique name of the entity mapping to update. This value is returned in a successful 200 response from the GET List entity mappings request.

ExampleNew Lines Based on Product Cost Changes
Body parameters
Update a mapping example

Example of the updated mapping details.

{
  "mapping": {
    "name": "New Lines Based on Product Cost Changes",
    "mode": "upsert",
    "sourceEntity": "CUSTOMER",
    "targetEntity": "TRANSACTIONS",
    "filters": [
      {
        "filterName": "Product",
        "filterExpression": "Product_Id eq 'P2'"
      },
      {
        "filterName": "Customer",
        "filterExpression": "Customer_Id eq '000247'"
      }
    ],
    "fields": [
      {
        "sourceEntityField": "New_Price",
        "targetEntityField": "List_Price"
      },
      {
        "sourceEntityField": "New_Date",
        "targetEntityField": "Effective_Date"
      }
    ]
  },
  "name": "DemoMappingToDelete"
}
Expand All
object
mapping
object Required

Mapping definition that specifies source and target entities, mode, optional filters, and field mappings.

name
string Required

Description of the entity mapping.

ExampleNew Lines Based on Product Cost Changes
mode
string Required

Defines how to map data to the target entity. Supported values:

  • insert—New records will be added to the target entity but its existing data won't be updated.
  • update—Existing records of the target entity will be updated with the new data.
  • upsert—New records will be inserted into the target entity and its existing records will be updated with the new data.
Valid values[ "insert", "update", "upsert" ]
Exampleupsert
sourceEntity
string Required

Unique system name of the source entity.

ExampleCUSTOMER
targetEntity
string Required

Unique system name of the target entity.

ExampleTRANSACTIONS
filters
Array of object

Filters that limit which source records are mapped to the target entity.

object
filterName
string Required

Filter name.

ExampleProduct
filterExpression
string Required

OData-style filter expression. The value should take the format fieldSystemName operator fieldValue.

ExampleProduct_Id eq 'P2'
fields
Array of object Required

Field mappings from source entity fields to target entity fields.

Min items1
object
sourceEntityField
string Required

System name of the source entity field.

ExampleNew_Price
targetEntityField
string Required

System name of the target entity field.

ExampleList_Price
name
string Required

Unique name of the entity mapping.

ExampleDemoMapping
Responses
200

The entity mapping was updated. Returns the updated mapping metadata.

404

The entity mapping with the specified name does not exist.

422

Unable to process the content. name and mapping must not be null.